Databases - Export

Veritabanını dışarı aktarır.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/export?api-version=2025-01-01

URI Parametreleri

Name İçinde Gerekli Tür Description
databaseName
path True

string

Veritabanının adı.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Kaynak grubunun adı. İsim büyük/küçük harfe duyarsızdır.

serverName
path True

string

Sunucunun adı.

subscriptionId
path True

string (uuid)

Hedef aboneliğin kimliği. Değer bir UUID olmalıdır.

api-version
query True

string

minLength: 1

Bu işlem için kullanılacak API sürümü.

İstek Gövdesi

Name Gerekli Tür Description
administratorLogin True

string

Yönetici oturum açma adı. AuthenticationType ManagedIdentity ise, bu alan Yönetilen Kimliğin kaynak kimliğini belirtmelidir.

storageKey True

string

Depolama hesabı için depolama anahtarı. StorageKeyType ManagedIdentity ise, bu alan Yönetilen Kimliğin kaynak kimliğini belirtmelidir.

storageKeyType True

StorageKeyType

Depolama anahtarı türü: StorageAccessKey, SharedAccessKey veya ManagedIdentity.

storageUri True

string

Depolama Uri'si.

administratorLoginPassword

string (password)

Yönetici oturum açma parolası. AuthenticationType ManagedIdentity ise, bu alan belirtilmemelidir.

authenticationType

string

Hedef SQL sunucusuna erişim için sağlanan kimlik bilgilerinin türü: SQL, ADPassword veya ManagedIdentity.

networkIsolation

NetworkIsolationSettings

İstek için ağ yalıtımını etkinleştirmek için isteğe bağlı kaynak bilgileri.

Yanıtlar

Name Tür Description
200 OK

ImportExportOperationResult

Azure işlemi başarıyla tamamlandı.

202 Accepted

Kaynak işlemi kabul edildi.

Üst Bilgiler

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

Beklenmeyen bir hata yanıtı.

Güvenlik

azure_auth

Azure Active Directory OAuth2 Flow.

Tür: oauth2
Akış: implicit
Yetkilendirme URL’si: https://login.microsoftonline.com/common/oauth2/authorize

Kapsamlar

Name Description
user_impersonation kullanıcı hesabınızın kimliğine bürünme

Örnekler

Exports a database, using Managed Identity to communicate with SQL server and storage account.
Exports a database, using private link to communicate with SQL server and storage account.
Exports a database.

Exports a database, using Managed Identity to communicate with SQL server and storage account.

Örnek isteği

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/export?api-version=2025-01-01

{
  "administratorLogin": "/subscriptions/00000000-1111-2222-3333-444444444444/resourcegroups/rgName/providers/Microsoft.ManagedIdentity/userAssignedIdentities/identityName",
  "authenticationType": "ManagedIdentity",
  "storageKey": "/subscriptions/00000000-1111-2222-3333-444444444444/resourcegroups/rgName/providers/Microsoft.ManagedIdentity/userAssignedIdentities/identityName",
  "storageKeyType": "ManagedIdentity",
  "storageUri": "https://test.blob.core.windows.net/test.bacpac"
}

Örnek yanıt

{
  "name": "9d9a794a-5cec-4f23-af70-d29511b522a4",
  "type": "Microsoft.Sql/servers/databases/importExportOperationResults",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/importExportOperationResults/9d9a794a-5cec-4f23-af70-d29511b522a4",
  "properties": {
    "blobUri": "https://test.blob.core.windows.net/test.bacpac",
    "databaseName": "testdb",
    "lastModifiedTime": "2/2/2020 8:34:47 PM",
    "queuedTime": "2/2/2020 8:33:27 PM",
    "requestId": "9d9a794a-5cec-4f23-af70-d29511b522a4",
    "requestType": "Export",
    "serverName": "testsvr.database.windows.net",
    "status": "Completed"
  }
}
Location: /subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Sql/locations/japaneast/importExportOperationResults/00000000-0000-0000-0000-000000000000

Örnek isteği

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/export?api-version=2025-01-01

{
  "administratorLogin": "login",
  "administratorLoginPassword": "password",
  "authenticationType": "Sql",
  "networkIsolation": {
    "sqlServerResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr",
    "storageAccountResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Storage/storageAccounts/test-privatelink"
  },
  "storageKey": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx==",
  "storageKeyType": "StorageAccessKey",
  "storageUri": "https://test.blob.core.windows.net/test.bacpac"
}

Örnek yanıt

{
  "name": "9d9a794a-5cec-4f23-af70-d29511b522a4",
  "type": "Microsoft.Sql/servers/databases/importExportOperationResults",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/importExportOperationResults/9d9a794a-5cec-4f23-af70-d29511b522a4",
  "properties": {
    "blobUri": "https://test.blob.core.windows.net/test.bacpac",
    "databaseName": "testdb",
    "lastModifiedTime": "2/2/2020 8:34:47 PM",
    "queuedTime": "2/2/2020 8:33:27 PM",
    "requestId": "9d9a794a-5cec-4f23-af70-d29511b522a4",
    "requestType": "Export",
    "serverName": "testsvr.database.windows.net",
    "status": "Completed"
  }
}
Location: /subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Sql/locations/japaneast/importExportOperationResults/00000000-0000-0000-0000-000000000000

Exports a database.

Örnek isteği

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/export?api-version=2025-01-01

{
  "administratorLogin": "login",
  "administratorLoginPassword": "password",
  "authenticationType": "Sql",
  "storageKey": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx==",
  "storageKeyType": "StorageAccessKey",
  "storageUri": "https://test.blob.core.windows.net/test.bacpac"
}

Örnek yanıt

{
  "name": "9d9a794a-5cec-4f23-af70-d29511b522a4",
  "type": "Microsoft.Sql/servers/databases/importExportOperationResults",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/importExportOperationResults/9d9a794a-5cec-4f23-af70-d29511b522a4",
  "properties": {
    "blobUri": "https://test.blob.core.windows.net/test.bacpac",
    "databaseName": "testdb",
    "lastModifiedTime": "2/2/2020 8:34:47 PM",
    "queuedTime": "2/2/2020 8:33:27 PM",
    "requestId": "9d9a794a-5cec-4f23-af70-d29511b522a4",
    "requestType": "Export",
    "serverName": "testsvr.database.windows.net",
    "status": "Completed"
  }
}
Location: /subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Sql/locations/japaneast/importExportOperationResults/00000000-0000-0000-0000-000000000000

Tanımlar

Name Description
createdByType

Kaynağı oluşturan kimliğin türü.

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

ErrorDetail

Hata ayrıntısı.

ErrorResponse

Hata yanıtı

ExportDatabaseDefinition

Dışarı aktarma veritabanı işlemini gerçekleştirmek için gereken bilgileri içerir.

ImportExportOperationResult

ImportExport işlemi sonuç kaynağı.

NetworkIsolationSettings

Özel uç nokta bağlantısı oluşturulacak ARM kaynaklarını içerir.

PrivateEndpointConnectionRequestStatus

Özel uç nokta bağlantı istekleri durumunu içerir.

StorageKeyType

Depolama anahtarı türü: StorageAccessKey, SharedAccessKey veya ManagedIdentity.

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

createdByType

Kaynağı oluşturan kimliğin türü.

Değer Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

Name Tür Description
info

object

Ek bilgiler.

type

string

Ek bilgi türü.

ErrorDetail

Hata ayrıntısı.

Name Tür Description
additionalInfo

ErrorAdditionalInfo[]

Hata ek bilgileri.

code

string

Hata kodu.

details

ErrorDetail[]

Hata ayrıntıları.

message

string

Hata iletisi.

target

string

Hata hedefi

ErrorResponse

Hata yanıtı

Name Tür Description
error

ErrorDetail

Hata nesnesi.

ExportDatabaseDefinition

Dışarı aktarma veritabanı işlemini gerçekleştirmek için gereken bilgileri içerir.

Name Tür Description
administratorLogin

string

Yönetici oturum açma adı. AuthenticationType ManagedIdentity ise, bu alan Yönetilen Kimliğin kaynak kimliğini belirtmelidir.

administratorLoginPassword

string (password)

Yönetici oturum açma parolası. AuthenticationType ManagedIdentity ise, bu alan belirtilmemelidir.

authenticationType

string

Hedef SQL sunucusuna erişim için sağlanan kimlik bilgilerinin türü: SQL, ADPassword veya ManagedIdentity.

networkIsolation

NetworkIsolationSettings

İstek için ağ yalıtımını etkinleştirmek için isteğe bağlı kaynak bilgileri.

storageKey

string

Depolama hesabı için depolama anahtarı. StorageKeyType ManagedIdentity ise, bu alan Yönetilen Kimliğin kaynak kimliğini belirtmelidir.

storageKeyType

StorageKeyType

Depolama anahtarı türü: StorageAccessKey, SharedAccessKey veya ManagedIdentity.

storageUri

string

Depolama Uri'si.

ImportExportOperationResult

ImportExport işlemi sonuç kaynağı.

Name Tür Description
id

string (arm-id)

Kaynağın tam kaynak kimliği. Örneğin "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

Kaynağın adı

properties.blobUri

string

Blob Uri'si.

properties.databaseName

string

Veritabanı adı.

properties.errorMessage

string

Hata mesajı.

properties.lastModifiedTime

string

Son değiştirme zamanı.

properties.privateEndpointConnections

PrivateEndpointConnectionRequestStatus[]

Bu istekle ilişkili özel uç noktaların durumunu alır.

properties.queuedTime

string

Kuyruğa alınan süre.

properties.requestId

string (uuid)

İstek Kimliği.

properties.requestType

string

İstek türü.

properties.serverName

string

Sunucu adı.

properties.status

string

İşlem durumu.

systemData

systemData

Azure Resource Manager metadata içeren createdBy ve modifiedBy bilgileri.

type

string

Kaynağın türü. Örneğin "Microsoft. Compute/virtualMachines" veya "Microsoft. Depo/Depolama Hesapları"

NetworkIsolationSettings

Özel uç nokta bağlantısı oluşturulacak ARM kaynaklarını içerir.

Name Tür Description
sqlServerResourceId

string (arm-id)

Bu isteğin hedefi olan SQL sunucusunun kaynak kimliği. Ayarlanırsa, SQL sunucusu için özel uç nokta bağlantısı oluşturulur. İşlemin hedefi olan sunucuyla eşleşmelidir.

storageAccountResourceId

string (arm-id)

BACPAC dosyasını depolamak için kullanılan depolama hesabının kaynak kimliği. Ayarlanırsa, depolama hesabı için özel uç nokta bağlantısı oluşturulur. StorageUri parametresi için kullanılan depolama hesabıyla eşleşmelidir.

PrivateEndpointConnectionRequestStatus

Özel uç nokta bağlantı istekleri durumunu içerir.

Name Tür Description
privateEndpointConnectionName

string

Özel uç noktanın bağlantı adı.

privateLinkServiceId

string

Özel uç noktanın oluşturulduğu kaynak kimliği.

status

string

Bu özel uç nokta bağlantısının durumu.

StorageKeyType

Depolama anahtarı türü: StorageAccessKey, SharedAccessKey veya ManagedIdentity.

Değer Description
SharedAccessKey

PaylaşımErişimAnahtarı

StorageAccessKey

StorageAccessKey

ManagedIdentity

ManagedIdentity

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

Name Tür Description
createdAt

string (date-time)

Kaynak oluşturma (UTC) zaman damgası.

createdBy

string

Kaynağı oluşturan kimlik.

createdByType

createdByType

Kaynağı oluşturan kimliğin türü.

lastModifiedAt

string (date-time)

Kaynağın son değişikliğinin zaman damgası (UTC)

lastModifiedBy

string

Kaynağı en son değiştiren kimlik.

lastModifiedByType

createdByType

Kaynağı en son değiştiren kimlik türü.